Fim do suporte a versões antigas do PHP

Fim do suporte a versões antigas do PHP

Temos um recado importante sobre o suporte à linguagem de programação PHP. Devido ao fim das atualizações de segurança, as seguintes versões serão descontinuadas nos ambientes gerenciados pela CentralServer:

5.3     5.4     5.5     5.6 7.0     7.1     7.2     7.3
Lista de versões descontinuadas do PHP


Caso você possua sistema(s) utilizando uma destas versões, terá que testá-lo(s) em uma versão superior e fazer os ajustes de programação necessários até 20/05/2022.

Veja a seguir a seção de perguntas e respostas que preparamos sobre o assunto.


1. Por que estas versões do PHP serão descontinuadas?
R. Como você sabe, um dos principais compromissos da CentralServer é preservar a segurança da informação. O PHP 5.3 a 7.3 deixou de ser atualizado pela comunidade responsável pelo desenvolvimento da linguagem. Por isso, eventuais falhas descobertas no código da linguagem não serão corrigidas, deixando sites e sistemas vulneráveis a invasões.


2. Quem determina o fim de vida das versões do PHP?
R. Como todo software-livre (open source) o PHP é oferecido e mantido gratuitamente por uma comunidade na internet, que é quem determina as datas de fim de vida das versões.


3. Quais as versões disponíveis para eu atualizar o PHP do meu site?

R. Seguimos oferencendo as versões 7.4, 8.0 e 8.1. Clique aqui para consultar o ciclo de vida das versões do PHP.


4. Como descubro a minha versão do PHP e testo as versões mais novas?
R. Você deve usar o painel de controle do Plesk, disponível no Console Cloud, para verificar a versão ativa do PHP. O painel Plesk também permite que você mude para uma versão mais nova e teste o comprtamento do seu site. Clique aqui para consular o procedimento.
Ressaltamos a importância de testar o funcionamento do site após mudar o PHP para evitar impactos na sua operação.


5. Mudei a versão do PHP para uma mais recente e o meu site apresentou erro, o que fazer?
R. Neste caso, você deve entrar em contato com o(a) programador(a) do site e solicitar que ele(a) faça os ajustes necessários.


6. A equipe da CentralServer pode fazer os ajustes de código para adaptar o meu site para uma nova versão do PHP?
R. Não. Somos fornecedores de infraestrutura cloud e não temos o know-how necessário para adaptar o seu código-fonte. Você terá que contar com um programador para essa atividade.


7. O que ocorrerá após a data limite de 20/05/2022?
R. Após esta data, o PHP de todos os sites que ainda estivem usando as versões 5.3 a 7.3 do PHP será atualizado para o PHP 7.4. A mudança será feita em lote e não poderá ser revertida, portanto, orientamos que você conclua todos os testes e ajustes de programação até a data limite.


8. Tenho sites ou sistemas usando versões descontinuadas do PHP em outros servidores, que não são gerenciados pela CentralServer. Preciso atualizá-los?
R. Definitivamente, sim. Apesar da nossa equipe não ter gestão sobre o seu ambiente, ele estará vulnerável a futuras falhas de segurança, a menos que você atualize o PHP.


Para esclarecer dúvidas sobre este boletim, entre em contato com o nosso Atendimento.

Atenciosamente,

Equipe CentralServer

(Visualizado 1 vezes, 1 vezes visualizado hoje)